#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);
    long long v,n;
    int p,d,i;
    p=d=0;
    cin>>v;
    n=v;
    while(n>0){
        d++;
        n=n/10;
    }
    for(i=0;i<d;i++){
        if(v%10>4){
            p++;
            v=v-5;
        }
        if(v%10>1){
            p++;
            v=v-2;
        }
        if(v%10>1){
            p++;
            v=v-2;
        }
        if(v%10>0){
            p++;
            v--;
        }
        v=v/10;
    }
    cout<<p;
    return 0;
}